| Version: 3.2.5

Public Member Functions | Public Attributes | List of all members
wxLinuxDistributionInfo Struct Reference

`#include <wx/platinfo.h>`

## Detailed Description

A structure containing information about a Linux distribution as returned by the `lsb_release` utility.

See wxGetLinuxDistributionInfo() or wxPlatformInfo::GetLinuxDistributionInfo() for more info.

## Public Member Functions

bool | operator== (const wxLinuxDistributionInfo &ldi) const
bool | operator!= (const wxLinuxDistributionInfo &ldi) const

## Public Attributes

wxString | Id
| The id of the distribution; e.g. "Ubuntu". More...
wxString | Release
| The version of the distribution; e.g. "9.04". More...
wxString | CodeName
| The code name of the distribution; e.g. "jaunty". More...
wxString | Description
| The description of the distribution; e.g. "Ubuntu 9.04". More...

## Member Function Documentation

## ◆ operator!=()

bool wxLinuxDistributionInfo::operator!= | ( | const wxLinuxDistributionInfo & | ldi | ) | const

## ◆ operator==()

bool wxLinuxDistributionInfo::operator== | ( | const wxLinuxDistributionInfo & | ldi | ) | const

## Member Data Documentation

## ◆ CodeName

wxString wxLinuxDistributionInfo::CodeName

The code name of the distribution; e.g. "jaunty".

## ◆ Description

wxString wxLinuxDistributionInfo::Description

The description of the distribution; e.g. "Ubuntu 9.04".

## ◆ Id

wxString wxLinuxDistributionInfo::Id

The id of the distribution; e.g. "Ubuntu".

## ◆ Release

wxString wxLinuxDistributionInfo::Release

The version of the distribution; e.g. "9.04".